import { NgModule } from '@angular/core';

import { MatButtonModule } from '@angular/material/button';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatMenuModule } from '@angular/material/menu';
import { MatSelectModule } from '@angular/material/select';
import { MatTabsModule } from '@angular/material/tabs';
import { MatCheckboxModule } from '@angular/material/checkbox';

import { NgxDnDModule } from '@swimlane/ngx-dnd';

import { FuseSharedModule } from 'src/@fuse/shared.module';
import { FuseWidgetModule } from 'src/@fuse/components/widget/widget.module';

import { SettingsDashboardRoutingModule } from './settings-dashboard-routing.module';
import { SettingsDashboardStoreModule } from './settings-dashboard-store.module';

import { COMPONENTS } from './component';
import { SERVICES } from './service';

@NgModule({
  imports: [
    MatButtonModule,
    MatFormFieldModule,
    MatIconModule,
    MatMenuModule,
    MatSelectModule,
    MatTabsModule,
    MatCheckboxModule,

    NgxDnDModule,

    FuseSharedModule,
    FuseWidgetModule,

    SettingsDashboardRoutingModule,
    SettingsDashboardStoreModule
  ],
  declarations: [...COMPONENTS],
  providers: [...SERVICES]
})
export class SettingsDashboardModule {}
